Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.editpart
Class CreateGraphicEditPartOperation

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.internal.services.editpart.EditPartOperation
          org.eclipse.gmf.runtime.diagram.ui.services.editpart.CreateGraphicEditPartOperation

All Implemented Interfaces:
  IEditPartOperation, IOperation

public class CreateGraphicEditPartOperation
extends org.eclipse.gmf.runtime.diagram.ui.internal.services.editpart.EditPartOperation

Concrete operation to create a `IGraphicalEditPart` (or subclass) element.

Constructor Summary
`protected` `CreateGraphicEditPartOperation(View view)` Constructor.

Method Summary
`java.lang.Object` `execute(IProvider provider)` creates the editpart.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.internal.services.editpart.EditPartOperation
`determineCachingKey, getCachingKey, getView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateGraphicEditPartOperation

    protected CreateGraphicEditPartOperation(View view)

  Constructor. Caches the supplied view.

Parameters:
  `view` - the view element to be controlled by the created editpart.

Method Detail

### execute

    public java.lang.Object execute(IProvider provider)

  creates the editpart.

  Parameters:
    `provider` - the provider capable of honoring this operation.
  Returns:
    the created editpart instance.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.